HanMacWrdJGraphInternal::SeparatorFrame Struct Referencefinal

Internal: a footnote separator of a HanMacWrdJGraph. More...

Inheritance diagram for HanMacWrdJGraphInternal::SeparatorFrame:

## Public Member Functions
| SeparatorFrame (Frame const &orig)
| constructor
| ~SeparatorFrame () final
| destructor
bool | valid () const final
| returns true if the frame data are read
Public Member Functions inherited from HanMacWrdJGraphInternal::Frame
| Frame ()
| constructor
| Frame (Frame const &)=default
virtual | ~Frame ()
| destructor
MWAWBox2f | getBdBox () const
| return the frame bdbox

## Additional Inherited Members
Public Attributes inherited from HanMacWrdJGraphInternal::Frame
int | m_type
| the graph type
long | m_fileId
| the file id
int | m_id
| the local id
int | m_formatId
| the format id
int | m_page
| the page
MWAWBox2f | m_pos
| the position
float | m_baseline
| the baseline
bool | m_inGroup
| true if this node is a group's child
bool | m_parsed
| true if we have send the data
std::string | m_extra
| an extra string

## Detailed Description

Internal: a footnote separator of a HanMacWrdJGraph.

## Constructor & Destructor Documentation

## ◆ SeparatorFrame()

HanMacWrdJGraphInternal::SeparatorFrame::SeparatorFrame | ( | Frame const & | orig | ) |
| inline explicit

constructor

## ◆ ~SeparatorFrame()

HanMacWrdJGraphInternal::SeparatorFrame::~SeparatorFrame | ( |  | ) |
| final

destructor

## Member Function Documentation

## ◆ valid()

bool HanMacWrdJGraphInternal::SeparatorFrame::valid | ( |  | ) | const
| inline final virtual

returns true if the frame data are read

Reimplemented from HanMacWrdJGraphInternal::Frame.

Referenced by valid().

The documentation for this struct was generated from the following file:

- HanMacWrdJGraph.cxx